Subject: bug#2668: user option `warning-suppress-types'

From: Stefan Boeters <[email-masked]>
Date: Fri, 13 Mar 2009 23:16:17 +0100

I regularly refresh newly generated output files that are open as a
buffer in Emacs with "revert-buffer". If these files are very large,
this produces the following warning:

"Warning (undo): Buffer `calibrate.lst' undo info was 34019863 bytes long.
The undo info was discarded because it exceeded `undo-outer-limit'.

This is normal if you executed a command that made a huge change
to the buffer.  In that case, to prevent similar problems in the
future, set `undo-outer-limit' to a value that is large enough to
cover the maximum size of normal changes you expect a single
command to make, but not so large that it might exceed the
maximum memory allotted to Emacs.

If you did not execute any such command, the situation is
probably due to a bug and you should report it.

You can disable the popping up of this buffer by adding the entry
(undo discard-info) to the user option `warning-suppress-types'."

I wanted to disable the popping up of the warning, but failed (with my
rudimentary Emacs knowledge). If I got it correctly from the discussion
in gnu.emacs.help (thread "Adding an entry to a user option"), the problem
is that the user option cannot (immediately) be customised, because it 
is not
defined by default. This is what Drew Adams wrote in gnu.emacs.help:
   
"Grepping the Emacs 23 lisp libraries for `warning-suppress-types' shows 
that it
is referred to in a doc string in `simple.el', but it is defined and 
used only
in library `warnings.el', which is not loaded by default. You cannot 
customize
it using Customize until it has been defined.

I think the fact that it is referenced in `simple.el' but undefined by 
default
is a bug - please report it using `M-x report-emacs-bug'. But I warn you 
that
it's likely that Stefan M. will reply that it is normal that most user 
options
are not defined by default. ;-) I guess it all depends whether the doc 
string in
`simple.el' is ever likely to be user-visible without `warnings.el' 
having yet
been loaded."

He asked me to report the bug here.

Stefan

In GNU Emacs 22.3.1 (i386-mingw-nt6.0.6001)
 of 2008-09-06 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 6.0.6001
configured using `configure --with-gcc (3.4)'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: GAMS-LST

Minor modes in effect:
  show-paren-mode: t
  cua-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<switch-frame> <help-echo> <switch-frame> <drag-n-drop>
<help-echo> <down-mouse-1> <mouse-movement> <mouse-1>
C-w 2 <help-echo> <switch-frame> <switch-frame> <help-echo>
<down-mouse-1> <mouse-1> M-r <help-echo> <down-mouse-1>
<mouse-1> <wheel-up> <down-mouse-1> <drag-mouse-1>
<down-mouse-1> <mouse-movement> <mouse-movement> <drag-mouse-1>
<help-echo> <down-mouse-1> <mouse-1> <help-echo> M-x
r e p o r t - e m a c s - b u g <return>

Recent messages:
Loading paren...done
Loading speedbar...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading url-util...done
Updating speedbar to: 
d:/data/GAMS/WorldScan/model_09/lst/baseline_EMF/...done
kill-region: The mark is not set now, so there is no region
Split window.
Loading kmacro...done
byte-code: Beginning of buffer
Loading emacsbug...done